Bug 691 - Manual page X(7) does not reference Xprt(1x), xplsprinters(1x), etc.
Summary: Manual page X(7) does not reference Xprt(1x), xplsprinters(1x), etc.
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Documentation (show other bugs)
Version: git
Hardware: All All
: high major
Assignee: Alan Coopersmith
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-05-30 01:50 UTC by Roland Mainz
Modified: 2004-09-17 16:05 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Patch to xc/doc/man/general/X.man (1.27 KB, patch)
2004-06-12 21:33 UTC, Alan Coopersmith
no flags Details | Splinter Review

Description Roland Mainz 2004-05-30 01:50:10 UTC
Manual page X(7) does not reference Xprt(1x), xplsprinters(1x), etc.

So far the following tools should be listed there:
Xprt(1x)
xplsprinters(1x)
Xprint(7)

... assigning bug to someone who knows how to edit these pages without
converting them to docbook first... :)
Comment 1 Roland Mainz 2004-05-30 05:33:01 UTC
Sightly offtopic: The alternative would be to convert the manual page to
DocBook... I can do that but we still miss Imagefile rules to build the *.man
pages from the *.sgml sources...
Comment 2 Alan Coopersmith 2004-05-30 05:40:07 UTC
There has been discussion of converting all the docs to an XML format such as
docbook - I believe Keith or Jim was looking into using doclifter (
http://www.catb.org/~esr/doclifter/ ) to do this, but that's a big project which
will need coordination, volunteers to proof, etc.
Comment 3 Roland Mainz 2004-05-30 05:46:22 UTC
Alan Coopersmith wrote:
> There has been discussion of converting all the docs to an XML format such as
> docbook

The converting of one or two single manual pages per week isn't a problem for
me... but the work is currently a NO-OP since we do not have any rules in the
tree to generate the troff versions automatically.

The original xprint.mozdev.org CVS used DocBook for all new manual pages - and
the old script to do that job was accidently moved over to the Xorg tree (see
xc/config/docbook/docbookconv.sh) - do you see any way that this beast can be
used somehow for that job ?

> I believe Keith or Jim was looking into using doclifter (
> http://www.catb.org/~esr/doclifter/ ) to do this, but that's a big project 
> which will need coordination, volunteers to proof, etc.

Nice... I never heared about "doclifter" yet... :)
Comment 4 Alan Coopersmith 2004-06-12 21:33:55 UTC
Created attachment 370 [details] [review]
Patch to xc/doc/man/general/X.man
Comment 5 Alan Coopersmith 2004-06-12 21:51:57 UTC
Committed to CVS head:
/cvs/xorg/xc/doc/man/general/X.man,v  <--  X.man
new revision: 1.3; previous revision: 1.2
Comment 6 Roland Mainz 2004-09-17 21:33:33 UTC
Alan Coopersmith wrote:
> Committed to CVS head:
> /cvs/xorg/xc/doc/man/general/X.man,v  <--  X.man
> new revision: 1.3; previous revision: 1.2

Thanks! :)

BTW: Which editor do you use to edit manual pages (e.g. is there any special
manpage editor which doesn't require in-depth knowledge about the old manpage
format ?) ?
Comment 7 Alan Coopersmith 2004-09-18 09:05:55 UTC
Sorry - I just use vi or xemacs and knowledge of troff to do the editing - I
don't know of any more user-friendly editors.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.